Bug 237213 - Ash man page references memory limiting which does not work on Linux.
Ash man page references memory limiting which does not work on Linux.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ash (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denise Dumas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 00:18 EDT by Norm Murray
Modified: 2012-06-20 12:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2007-04-20 00:18:23 EDT
Description of problem:

The kernel does not have the relevant mechanisms to limit the amount of memory
to be able to be used on a per process basis.  The ash man page states that it
can set limits on different types of memory used by a process.  These have no
effect on a Linux system.


Version-Release number of selected component (if applicable):

ash-0.3.8-20

How reproducible:

Every time.

Steps to Reproduce:
1. Set ulimit of -l  or -m
2. Test said limit
3. Ponder sanity of man page.
  
Actual results:

Process consumes all memory or mlocks more than it should, process takes over
world^H^H^H^H^H machine.


Expected results:

Process to be stopped, man page to be correct.

Additional info:

Process memory accounting and limiting doesn't work yet in Linux, but at least
the man page can be updated.. something like this

            -m          show or set the limit on the total physical memory
                        that can be in use by a process (in kilobytes) (This has
                                     no effect on Linux)

            -l          show or set the limit on how much memory a process
                        can lock with mlock(2) (in kilobytes) (This has no
effect on Linux
Comment 3 RHEL Product and Program Management 2008-10-31 12:51:22 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Jiri Pallich 2012-06-20 12:08:29 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.